org.apache.ignite.ml.regressions.linear

## Class LinearRegressionModel.LinearRegressionModelJSONExportModel

- java.lang.Object
- - org.apache.ignite.ml.inference.json.JSONModel
  - - org.apache.ignite.ml.regressions.linear.LinearRegressionModel.LinearRegressionModelJSONExportModel

- Enclosing class:
    LinearRegressionModel

      public static class LinearRegressionModel.LinearRegressionModelJSONExportModel
      extends JSONModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `intercept` Intercept of the linear regression model.
    `double[]` | `weights` Multiplier of the objects's vector required to make prediction.

    - ### Fields inherited from class org.apache.ignite.ml.inference.json.JSONModel

      `formatVersion, JSON_MODEL_FORMAT_VERSION, modelClass, timestamp, uid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinearRegressionModelJSONExportModel()`
    `LinearRegressionModelJSONExportModel(Long timestamp, String uid, String modelClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinearRegressionModel` | `convert()` Convert JSON string to IgniteModel object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### weights

          public double[] weights

      Multiplier of the objects's vector required to make prediction.

    - #### intercept

          public double intercept

      Intercept of the linear regression model.

  - ### Constructor Detail

    - #### LinearRegressionModelJSONExportModel

          public LinearRegressionModelJSONExportModel(Long timestamp,
                                                      String uid,
                                                      String modelClass)

    - #### LinearRegressionModelJSONExportModel

          public LinearRegressionModelJSONExportModel()

  - ### Method Detail

    - #### convert

          public LinearRegressionModel convert()

      Convert JSON string to IgniteModel object.
      Specified by:
        `convert` in class `JSONModel`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021